import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class UniswapV2ContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    uniswapFactory({ address, network }: ContractOpts): import("./ethers").UniswapFactory;
    uniswapPair({ address, network }: ContractOpts): import("./ethers").UniswapPair;
}
export type { UniswapFactory } from './ethers';
export type { UniswapPair } from './ethers';
